/*#region #nav-mobile*/
#nav-mobile {
  .nav-header {
    @include flex-center();
    @include box-shadow1();
    padding: 5px 0;
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    height: 55px;
    .btn {
      padding: 6px;
      border-radius: 4px;
    }
    #menu-btn {
      width: 50px;
      height: 45px;
      position: relative;

      span {
        position: absolute;
        width: 30px;
        height: 2px;
        background: $primary-color;
        top: 12.5px;
        left: calc(50% - 15px);

        &:nth-child(2) {
          top: 22.5px;
        }

        &:nth-child(3) {
          top: 32.5px;
        }
      }
    }

    .logo-container {
      width: calc(100% - 150px);
      text-align: center;
      float: left;
      padding-left: 10px;

      img {
        max-height: 40px;
      }
    }

    #search-btn {
      width: 50px;
      height: 45px;
      text-align: center;
      padding: 9px 0;

      i {
        font-size: 25px;
        line-height: 25px;
      }
    }

    .cart-container {
      width: 50px;
      height: 45px;
      position: relative;

      i {
        font-size: 30px;
        line-height: 45px;
      }

      span {
        display: block;
        position: absolute;
        top: 0;
        right: 5px;
        width: 25px;
        height: 25px;
        background: $primary-color;
        color: $white;
        border-radius: 50%;
        text-align: center;
        padding: 4px 0;
      }
    }
  }
  .nav-body {
    background-color: $bg-gray;

    .nav-content {
      background-color: $white;

      > .nav:nth-child(1) {
        overflow-y: auto;
        height: calc(100vh - 55px - 188px - 15px);

        > li > a {
          font-weight: $font-weight-normal;

          > .avatar {
            display: block;
            float: left;
            position: relative;
            overflow: hidden;
            width: 34px;
            height: 34px;
            border-radius: 100%;

            img {
              position: absolute;
              top: 50%;
              left: 50%;
              -webkit-transform: translate(-50%, -50%);
              -ms-transform: translate(-50%, -50%);
              transform: translate(-50%, -50%);
            }
          }

          > p {
            float: left;
            margin: 7.5px 0 10px 7.5px;
            width: calc(100% - 34px - 50px - 10px);

            + .icon {
              height: 34px;

              i {
                line-height: 34px;
              }
            }
          }
        }
      }
    }

    .nav {
      margin: 0;
      padding-left: 10px;
      padding-right: 10px;
      text-align: left;

      a {
        @include border-bottom($color: $border-lightgray);
        color: $black;
        padding: 15px 0;
        font-size: 16px;
        display: block;
      }

      > li.nav-parent {
        > .nav-parent-action + .nav-child {
          position: fixed;
          background-color: $white;
          right: -100%;
          top: 55px;
          width: 100%;
          z-index: 98;
          height: calc(100vh - 55px);
          -webkit-transition: right ease 0.5s;
          -o-transition: right ease 0.5s;
          transition: right ease 0.5s;
          z-index: 100;
          overflow-y: auto;

          &.showmenu {
            right: 0;
            -webkit-transition: right ease 0.5s;
            -o-transition: right ease 0.5s;
            transition: right ease 0.5s;
          }

          > .nav {
            padding: 0;

            li {
              padding: 0 10px;
            }

            > li {
              &:last-child {
                > a {
                  border-bottom: 0;
                }
              }
            }

            > li:nth-child(1) {
              background-color: $bg-gray;

              i {
                margin-right: 10px;
              }

              a {
                border-bottom: none;
                font-weight: $font-weight-light;
                text-transform: uppercase;
                color: $gray;
              }
            }
          }
        }
      }

      li.nav-parent {
        > .nav-parent-action {
          @include border-bottom($color: $border-lightgray);
          @include flex-center();

          > a {
            width: calc(100% - 50px);
            border-bottom: none;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
          }

          > span.icon {
            width: 50px;
            color: $black;
            text-align: center;
          }
        }

        > div.nav-parent-action-collapse {
          @include border-bottom($color: $border-lightgray);
          @include flex-center();

          a {
            display: block;
            width: calc(100% - 50px);
            border-bottom: none;
          }

          span {
            display: block;
            width: 50px;
            text-align: center;
          }

          & + .nav-child > ul {
            padding-left: 0;
            padding-right: 0;
            height: auto;

            a {
              padding-left: 20px;
              font-weight: $font-weight-normal;
              width: 100%;
              float: none;
            }

            > .nav-parent > .nav-child > ul a {
              padding-left: 30px;
            }
          }
        }
      }

      li {
        list-style: none;

        &.active > a,
        .child > li.active > a,
        &.active > .nav-parent-action > a {
          color: $primary-color;
        }
      }
    }

    .nav-content > .nav > li:last-child {
      > .nav-child > .nav > li:last-child {
        > a,
        > div.nav-parent-action-collapse {
          border-bottom: none;
        }
      }

      > a,
      > div.nav-parent-action-collapse {
        border-bottom: none;

        + .nav-child > .nav > li:first-child {
          > a,
          > div.nav-parent-action-collapse {
            @include border-top($color: $border-lightgray);
          }
        }
      }
    }

    .info-container {
      background-color: $white;
      padding: 20px 10px 52px 10px;
      margin-top: 15px;

      .support-container {
        h2 {
          display: block;
          font-weight: $font-weight-bold;
          text-transform: uppercase;
          margin-bottom: 10px;
        }

        .item {
          @include border();
          display: block;
          width: calc((100% - 20px) / 3);
          margin-right: 10px;
          float: left;
          text-align: center;
          padding: 15px;

          i {
            font-size: 25px;
            line-height: 25px;
            margin-bottom: 5px;
            display: block;
            color: $gray;
          }

          span {
            display: block;
          }

          &:nth-child(4) {
            margin-right: 0;
          }
        }
      }

      .phone-container {
        .img-container {
          @include border($size: 2px, $color: $white);
          float: left;
          width: 50px;
          margin-right: 10px;
          height: 56px;
          text-align: center;
          font-size: 35px;
          line-height: 50px;
          color: $white;
        }

        .text-container {
          float: left;
          width: calc(100% - 60px);
          padding: 5.5px 0;
          font-weight: $font-weight-light;
          color: $white;

          span {
            font-weight: $font-weight-bold;
            color: $white;
            font-size: 25px;
          }
        }
      }

      .social-container {
        width: 100px;
        float: right;
        text-align: right;

        a {
          @include border($color: $bg-gray);
          display: inline-block;
          margin-right: 10px;
          width: 30px;
          height: 30px;
          text-align: center;
          background: transparent;
          border-radius: 50%;
          padding: 4px 0;
          color: $bg-gray;

          &:last-child {
            margin-right: 0;
          }
        }
      }

      .lang-container {
        a {
          @include border($color: $white);
          display: block;
          width: 50%;
          float: left;

          &:nth-child(1) {
            border-right: none;
          }

          &:nth-child(2) {
            border-left: none;
          }

          &.active {
            background: $white;
            color: $primary-color;
            -webkit-box-shadow: none;
            box-shadow: none;
          }
        }
      }
    }
  }
  .nav-footer {
    height: 100vh;
    overflow-y: auto;

    .search-container {
      padding: 15px;
      position: relative;

      input {
        padding-left: 44px;
        height: 44px;
        font-size: 16px;
        line-height: normal;
        width: calc(100% - 44px - 15px);
        margin-right: 15px;
      }

      button {
        position: absolute;
        top: 15px;
        left: 15px;
        width: 44px;
        height: 44px;
        background-color: transparent;
        text-align: center;
        padding: 0;

        i {
          font-size: 20px;
          line-height: 20px;
        }
      }

      a {
        display: block;
        width: 44px;
        text-align: center;
        background-color: $bg-gray;
        color: $black;

        i {
          line-height: 44px;
          font-size: 20px;
        }
      }
    }

    .text-container {
      h2 {
        @include border-bottom();
        padding: 15px 15px 5px 15px;
        text-transform: uppercase;
      }

      ul {
        li {
          list-style: none;
          padding: 0 15px;

          a {
            @include border-bottom();
            display: block;
            padding: 15px 0;
          }

          &:last-child {
            a {
              border-bottom: none;
            }
          }
        }
      }
    }
  }
}
/* nav effect */
body.showmenu,
body.showmenu1 {
  overflow: hidden;
}
#nav-mobile {
  #menu-btn {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;

    span {
      opacity: 1;
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      transform: rotate(0deg);
      -webkit-transition: 0.25s ease-in-out;
      -moz-transition: 0.25s ease-in-out;
      -o-transition: 0.25s ease-in-out;
      transition: 0.25s ease-in-out;
    }

    &.open span:nth-child(1) {
      -webkit-transform: rotate(45deg);
      -moz-transform: rotate(45deg);
      -o-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
      top: 24px !important;
      left: 10px !important;
    }

    &.open span:nth-child(2) {
      width: 0%;
      opacity: 0;
    }

    &.open span:nth-child(3) {
      -webkit-transform: rotate(-45deg);
      -moz-transform: rotate(-45deg);
      -o-transform: rotate(-45deg);
      -ms-transform: rotate(-45deg);
      transform: rotate(-45deg);
      top: 24px !important;
      left: 10px !important;
    }
  }

  .nav-header {
    /*transition: left ease 0.5s;*/
    &.showmenu {
      /*left: calc(100% - 50px);
              transition: left ease 0.5s;*/
    }
  }

  .nav-body {
    // @include border-right($color: $primary-color);
    position: fixed;
    left: -100%;
    top: 55px;
    width: 100%;
    -webkit-transition: left ease 0.5s;
    -o-transition: left ease 0.5s;
    transition: left ease 0.5s;
    z-index: 98;

    /*background-image: url("../img/scroll.jpg");
            background-position: top left;
            background-repeat: repeat-y;
            text-align: center;
            .logo-container {
            padding-top: 5px;
            padding-bottom: 10px;*/
    &.showmenu {
      left: 0;
      -webkit-transition: left ease 0.5s;
      -o-transition: left ease 0.5s;
      transition: left ease 0.5s;
    }
  }

  .nav-footer {
    position: fixed;
    right: -100%;
    top: 0;
    width: 100%;
    z-index: 100;
    -webkit-transition: right ease 0.5s;
    -o-transition: right ease 0.5s;
    transition: right ease 0.5s;
    z-index: 100;

    &.showmenu {
      right: 0;
      -webkit-transition: right ease 0.5s;
      -o-transition: right ease 0.5s;
      transition: right ease 0.5s;
    }
  }
}
/* nav effect*/
#nav-mobile {
  @include box-shadow1();
  > .logo-container {
    text-align: center;
    padding: 10px 0;
    img {
      max-height: 100px;
    }
    + .nav-header {
      @include border-top($color: $primary-color);
      @include border-bottom();
      position: relative;
      -webkit-box-shadow: none;
      box-shadow: none;
      + .nav-body {
        top: calc(55px + 120px);

        .nav-content > .nav:nth-child(1) {
          height: calc(100vh - 55px - 142px - 15px - 120px);
          > li.nav-parent > .nav-parent-action + .nav-child {
            top: calc(55px + 120px);
          }
        }

        + .nav-footer {
          top: calc(55px + 120px);
          height: calc(100vh - 55px - 120px);
        }
      }
      &.nav-fix {
        @include box-shadow2();
        background-color: $white;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 999;
        + .nav-body {
          top: 55px;

          .nav-content > .nav:nth-child(1) {
            height: calc(100vh - 55px - 142px - 15px);
            > li.nav-parent > .nav-parent-action + .nav-child {
              top: 55px;
            }
          }

          + .nav-footer {
            top: 55px;
            height: calc(100vh - 55px);
          }
        }
      }
    }
  }
}
/*#endregion*/

/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region #sad*/

  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region #sad*/
  #nav-moblie {
    .nav-body {
      .info-container {
        .lang-container {
          a {
            width: 25% !important;
            text-align: center;
          }
        }
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 375px) {
  #nav-mobile {
    .nav-header {
      #menu-btn {
        margin: 0 4%;
      }
    }
  }
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
